Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.hub.service
Interface IntraHubService

All Known Implementing Classes:
  IntraHubServiceImpl

    public interface IntraHubService

The Interface IntraHubService. Default impl : `IntraHubServiceImpl` Factory : `ServiceFactory`

Method Summary
`DeclareTransactionResponse` | `declareTransaction(SAMLToken token, DeclareTransactionRequest request)` Declare transaction.
`GetAccessRightResponse` | `getAccessRight(SAMLToken token, GetAccessRightRequest request)` Gets the access right.
`GetHCPartyResponse` | `getHCParty(SAMLToken token, GetHCPartyRequest request)` Gets the hC party.
`GetHCPartyConsentResponse` | `getHCPartyConsent(SAMLToken token, GetHCPartyConsentRequest request)` Gets the hC party consent.
`GetPatientResponse` | `getPatient(SAMLToken token, GetPatientRequest request)` Gets the patient.
`GetPatientAuditTrailResponse` | `getPatientAuditTrail(SAMLToken token, GetPatientAuditTrailRequest request)` Gets the patient audit trail.
`GetPatientConsentResponse` | `getPatientConsent(SAMLToken token, GetPatientConsentRequest request)` Gets the patient consent.
`GetTherapeuticLinkResponse` | `getTherapeuticLink(SAMLToken token, GetTherapeuticLinkRequest request)` Gets the therapeutic link.
`GetTransactionResponse` | `getTransaction(SAMLToken token, GetTransactionRequest request)` Gets the transaction.
`GetTransactionListResponse` | `getTransactionList(SAMLToken token, GetTransactionListRequest request)` Gets the transaction list.
`PutAccessRightResponse` | `putAccessRight(SAMLToken token, PutAccessRightRequest request)` Put access right.
`PutHCPartyResponse` | `putHCParty(SAMLToken token, PutHCPartyRequest request)` Put hc party.
`PutHCPartyConsentResponse` | `putHCPartyConsent(SAMLToken token, PutHCPartyConsentRequest request)` Put hc party consent.
`PutPatientResponse` | `putPatient(SAMLToken token, PutPatientRequest request)` Put patient.
`PutPatientConsentResponse` | `putPatientConsent(SAMLToken token, PutPatientConsentRequest request)` Put patient consent.
`PutTherapeuticLinkResponse` | `putTherapeuticLink(SAMLToken token, PutTherapeuticLinkRequest request)` Put therapeutic link.
`PutTransactionResponse` | `putTransaction(SAMLToken token, PutTransactionRequest request)` Put transaction.
`RequestPublicationResponse` | `requestPublication(SAMLToken token, RequestPublicationRequest request)` Request publication.
`RevokeAccessRightResponse` | `revokeAccessRight(SAMLToken token, RevokeAccessRightRequest request)` Revoke access right.
`RevokeHCPartyConsentResponse` | `revokeHCPartyConsent(SAMLToken token, RevokeHCPartyConsentRequest request)` Revoke hc party consent.
`RevokePatientConsentResponse` | `revokePatientConsent(SAMLToken token, RevokePatientConsentRequest request)` Revoke patient consent.
`RevokeTherapeuticLinkResponse` | `revokeTherapeuticLink(SAMLToken token, RevokeTherapeuticLinkRequest request)` Revoke therapeutic link.
`RevokeTransactionResponse` | `revokeTransaction(SAMLToken token, RevokeTransactionRequest request)` Revoke transaction.

Method Detail

### declareTransaction

    DeclareTransactionResponse declareTransaction(SAMLToken token,
                                                  DeclareTransactionRequest request)
                                                  throws IntraHubBusinessConnectorException,
                                                         TechnicalConnectorException

  Declare transaction.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the declare transaction response
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### putTransaction

    PutTransactionResponse putTransaction(SAMLToken token,
                                          PutTransactionRequest request)
                                          throws IntraHubBusinessConnectorException,
                                                 TechnicalConnectorException

  Put transaction.

  Parameters:
    `token` - the token
    `crypto` -
    `request` - the request
  Returns:
    the put transaction response
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### revokeTransaction

    RevokeTransactionResponse revokeTransaction(SAMLToken token,
                                                RevokeTransactionRequest request)
                                                throws IntraHubBusinessConnectorException,
                                                       TechnicalConnectorException

  Revoke transaction.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the revoke transaction response
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### getTransactionList

    GetTransactionListResponse getTransactionList(SAMLToken token,
                                                  GetTransactionListRequest request)
                                                  throws IntraHubBusinessConnectorException,
                                                         TechnicalConnectorException

  Gets the transaction list.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the transaction list
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### getTransaction

    GetTransactionResponse getTransaction(SAMLToken token,
                                          GetTransactionRequest request)
                                          throws IntraHubBusinessConnectorException,
                                                 TechnicalConnectorException

  Gets the transaction.

  Parameters:
    `token` - the token
    `crypto` -
    `request` - the request
  Returns:
    the transaction
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### requestPublication

    RequestPublicationResponse requestPublication(SAMLToken token,
                                                  RequestPublicationRequest request)
                                                  throws IntraHubBusinessConnectorException,
                                                         TechnicalConnectorException

  Request publication.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the request publication response
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### putHCParty

    PutHCPartyResponse putHCParty(SAMLToken token,
                                  PutHCPartyRequest request)
                                  throws IntraHubBusinessConnectorException,
                                         TechnicalConnectorException

  Put hc party.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the put hc party response
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### getHCParty

    GetHCPartyResponse getHCParty(SAMLToken token,
                                  GetHCPartyRequest request)
                                  throws IntraHubBusinessConnectorException,
                                         TechnicalConnectorException

  Gets the hC party.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the hC party
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### putPatient

    PutPatientResponse putPatient(SAMLToken token,
                                  PutPatientRequest request)
                                  throws IntraHubBusinessConnectorException,
                                         TechnicalConnectorException

  Put patient.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the put patient response
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### getPatient

    GetPatientResponse getPatient(SAMLToken token,
                                  GetPatientRequest request)
                                  throws IntraHubBusinessConnectorException,
                                         TechnicalConnectorException

  Gets the patient.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the patient
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### putHCPartyConsent

    PutHCPartyConsentResponse putHCPartyConsent(SAMLToken token,
                                                PutHCPartyConsentRequest request)
                                                throws IntraHubBusinessConnectorException,
                                                       TechnicalConnectorException

  Put hc party consent.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the put hc party consent response
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### getHCPartyConsent

    GetHCPartyConsentResponse getHCPartyConsent(SAMLToken token,
                                                GetHCPartyConsentRequest request)
                                                throws IntraHubBusinessConnectorException,
                                                       TechnicalConnectorException

  Gets the hC party consent.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the hC party consent
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### revokeHCPartyConsent

    RevokeHCPartyConsentResponse revokeHCPartyConsent(SAMLToken token,
                                                      RevokeHCPartyConsentRequest request)
                                                      throws IntraHubBusinessConnectorException,
                                                             TechnicalConnectorException

  Revoke hc party consent.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the revoke hc party consent response
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### putPatientConsent

    PutPatientConsentResponse putPatientConsent(SAMLToken token,
                                                PutPatientConsentRequest request)
                                                throws IntraHubBusinessConnectorException,
                                                       TechnicalConnectorException

  Put patient consent.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the put patient consent response
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### getPatientConsent

    GetPatientConsentResponse getPatientConsent(SAMLToken token,
                                                GetPatientConsentRequest request)
                                                throws IntraHubBusinessConnectorException,
                                                       TechnicalConnectorException

  Gets the patient consent.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the patient consent
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### revokePatientConsent

    RevokePatientConsentResponse revokePatientConsent(SAMLToken token,
                                                      RevokePatientConsentRequest request)
                                                      throws IntraHubBusinessConnectorException,
                                                             TechnicalConnectorException

  Revoke patient consent.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the revoke patient consent response
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### putTherapeuticLink

    PutTherapeuticLinkResponse putTherapeuticLink(SAMLToken token,
                                                  PutTherapeuticLinkRequest request)
                                                  throws IntraHubBusinessConnectorException,
                                                         TechnicalConnectorException

  Put therapeutic link.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the put therapeutic link response
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### getTherapeuticLink

    GetTherapeuticLinkResponse getTherapeuticLink(SAMLToken token,
                                                  GetTherapeuticLinkRequest request)
                                                  throws IntraHubBusinessConnectorException,
                                                         TechnicalConnectorException

  Gets the therapeutic link.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the therapeutic link
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### revokeTherapeuticLink

    RevokeTherapeuticLinkResponse revokeTherapeuticLink(SAMLToken token,
                                                        RevokeTherapeuticLinkRequest request)
                                                        throws IntraHubBusinessConnectorException,
                                                               TechnicalConnectorException

  Revoke therapeutic link.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the revoke therapeutic link response
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### putAccessRight

    PutAccessRightResponse putAccessRight(SAMLToken token,
                                          PutAccessRightRequest request)
                                          throws IntraHubBusinessConnectorException,
                                                 TechnicalConnectorException

  Put access right.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the put access right response
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### getAccessRight

    GetAccessRightResponse getAccessRight(SAMLToken token,
                                          GetAccessRightRequest request)
                                          throws IntraHubBusinessConnectorException,
                                                 TechnicalConnectorException

  Gets the access right.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the access right
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### revokeAccessRight

    RevokeAccessRightResponse revokeAccessRight(SAMLToken token,
                                                RevokeAccessRightRequest request)
                                                throws IntraHubBusinessConnectorException,
                                                       TechnicalConnectorException

  Revoke access right.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the revoke access right response
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

### getPatientAuditTrail

    GetPatientAuditTrailResponse getPatientAuditTrail(SAMLToken token,
                                                      GetPatientAuditTrailRequest request)
                                                      throws IntraHubBusinessConnectorException,
                                                             TechnicalConnectorException

  Gets the patient audit trail.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the patient audit trail
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.